import { JdsBiIcons } from './icons.interface';

// export const icon: JdsBiIcons = {
//   name: '',
//   data: '',
// };

export const iconArrowRight: JdsBiIcons = {
  name: 'arrow-right',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 18 14" width="18" height="14" xmlns="http://www.w3.org/2000/svg"><path d="M11 0.341797C10.7441 0.341797 10.488 0.441219 10.293 0.636719L10.207 0.722656C9.81603 1.11366 9.81603 1.74672 10.207 2.13672L14.0703 6H1C0.448 6 0 6.448 0 7C0 7.552 0.448 8 1 8H14.0703L10.207 11.8633C9.81603 12.2543 9.81603 12.8873 10.207 13.2773L10.293 13.3633C10.684 13.7543 11.317 13.7543 11.707 13.3633L17.3633 7.70703C17.7543 7.31603 17.7543 6.68297 17.3633 6.29297L11.707 0.636719C11.5115 0.441219 11.2559 0.341797 11 0.341797Z" /></svg>',
};

export const iconArrowUp: JdsBiIcons = {
  name: 'arrow-up',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 384 512" width="16" height="16" xmlns="http://www.w3.org/2000/svg"><path d="M214.6 41.4c-12.5-12.5-32.8-12.5-45.3 0l-160 160c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L160 141.2V448c0 17.7 14.3 32 32 32s32-14.3 32-32V141.2L329.4 246.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3l-160-160z"/></svg>',
};

export const iconArrowUpRightFromSquare: JdsBiIcons = {
  name: 'arrow-up-right-from-square',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 14" xmlns="http://www.w3.org/2000/svg"><path d="M11.6667 12.4444H2.33333C1.90556 12.4444 1.55556 12.0944 1.55556 11.6667V2.33333C1.55556 1.90556 1.90556 1.55556 2.33333 1.55556H6.22222C6.65 1.55556 7 1.20556 7 0.777778C7 0.35 6.65 0 6.22222 0H1.55556C1.143 0 0.747335 0.163888 0.455612 0.455612C0.163888 0.747335 0 1.143 0 1.55556V12.4444C0 13.3 0.7 14 1.55556 14H12.4444C13.3 14 14 13.3 14 12.4444V7.77778C14 7.35 13.65 7 13.2222 7C12.7944 7 12.4444 7.35 12.4444 7.77778V11.6667C12.4444 12.0944 12.0944 12.4444 11.6667 12.4444ZM8.55556 0.777778C8.55556 1.20556 8.90556 1.55556 9.33333 1.55556H11.3478L4.24667 8.65667C4.10124 8.80209 4.01954 8.99934 4.01954 9.205C4.01954 9.41067 4.10124 9.60791 4.24667 9.75333C4.39209 9.89876 4.58934 9.98046 4.795 9.98046C5.00066 9.98046 5.19791 9.89876 5.34333 9.75333L12.4444 2.65222V4.66667C12.4444 5.09444 12.7944 5.44444 13.2222 5.44444C13.65 5.44444 14 5.09444 14 4.66667V0.777778C14 0.35 13.65 0 13.2222 0H9.33333C8.90556 0 8.55556 0.35 8.55556 0.777778Z"/></svg>',
};

export const iconBan: JdsBiIcons = {
  name: 'ban',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M367.2 412.5L99.5 144.8C77.1 176.1 64 214.5 64 256c0 106 86 192 192 192c41.5 0 79.9-13.1 111.2-35.5zm45.3-45.3C434.9 335.9 448 297.5 448 256c0-106-86-192-192-192c-41.5 0-79.9 13.1-111.2 35.5L412.5 367.2zM512 256c0 141.4-114.6 256-256 256S0 397.4 0 256S114.6 0 256 0S512 114.6 512 256z"/></svg>',
};

export const iconBars: JdsBiIcons = {
  name: 'bars',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 17 16" xmlns="http://www.w3.org/2000/svg"><path d="M8.82727 0C4.40927 0 0.827271 3.582 0.827271 8C0.827271 12.418 4.40927 16 8.82727 16C13.2453 16 16.8273 12.418 16.8273 8C16.8273 3.582 13.2453 0 8.82727 0ZM8.82727 13C8.27527 13 7.82727 12.552 7.82727 12C7.82727 11.448 8.27527 11 8.82727 11C9.37927 11 9.82727 11.448 9.82727 12C9.82727 12.552 9.37927 13 8.82727 13ZM10.2059 8.33333C9.7646 8.74067 9.49394 9.008 9.49394 9.33333H8.1606C8.1606 8.40733 8.79327 7.82333 9.30127 7.35333C9.83394 6.86133 10.1606 6.53267 10.1606 6C10.1606 5.26467 9.5626 4.66667 8.82727 4.66667C8.09194 4.66667 7.49394 5.26467 7.49394 6H6.1606C6.1606 4.52933 7.3566 3.33333 8.82727 3.33333C10.2979 3.33333 11.4939 4.52933 11.4939 6C11.4939 7.14333 10.7799 7.80267 10.2059 8.33333Z"/></svg>',
};

export const iconBell: JdsBiIcons = {
  name: 'bell',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 17 17" xmlns="http://www.w3.org/2000/svg"><path d="M8.82727 16.5925C9.86256 16.5925 10.7096 15.8459 10.7096 14.9333H6.94492C6.94492 15.8459 7.79198 16.5925 8.82727 16.5925ZM14.9449 11.6148V7.05179C14.9449 4.47994 12.9684 2.40587 10.239 1.82512V1.24438C10.239 0.58068 9.58021 -6.10352e-05 8.82727 -6.10352e-05C8.07433 -6.10352e-05 7.41551 0.58068 7.41551 1.24438V1.82512C4.68609 2.40587 2.70962 4.47994 2.70962 7.05179V11.6148L0.827271 13.274V14.1036H16.8273V13.274L14.9449 11.6148Z"/></svg>',
};

export const iconBook: JdsBiIcons = {
  name: 'book',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 11 14" width="11" height="14" xmlns="http://www.w3.org/2000/svg"><path d="M1.6 0.5C0.716267 0.5 0 1.21627 0 2.1V11.7C1.316e-05 11.7703 0.0139159 11.8399 0.0409093 11.9048C0.0679028 11.9697 0.107455 12.0286 0.157292 12.0781C0.34547 12.7522 0.869525 13.3 1.6 13.3H10.1333C10.204 13.301 10.2742 13.2879 10.3398 13.2616C10.4053 13.2352 10.465 13.1961 10.5154 13.1465C10.5657 13.0969 10.6057 13.0377 10.6329 12.9725C10.6602 12.9073 10.6743 12.8373 10.6743 12.7667C10.6743 12.696 10.6602 12.626 10.6329 12.5608C10.6057 12.4956 10.5657 12.4365 10.5154 12.3868C10.465 12.3372 10.4053 12.2981 10.3398 12.2717C10.2742 12.2454 10.204 12.2323 10.1333 12.2333H1.6C1.29865 12.2333 1.06667 12.0013 1.06667 11.7C1.06667 11.3987 1.29865 11.1667 1.6 11.1667H9.6C10.1893 11.1667 10.6667 10.6893 10.6667 10.1V1.56667C10.6667 0.977333 10.1893 0.5 9.6 0.5H1.6ZM3.73333 3.7H7.46667C7.76107 3.7 8 3.93893 8 4.23333C8 4.52773 7.76107 4.76667 7.46667 4.76667H3.73333C3.43893 4.76667 3.2 4.52773 3.2 4.23333C3.2 3.93893 3.43893 3.7 3.73333 3.7Z" /></svg>',
};

export const iconBoxArchive: JdsBiIcons = {
  name: 'box-archive',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M32 32H480c17.7 0 32 14.3 32 32V96c0 17.7-14.3 32-32 32H32C14.3 128 0 113.7 0 96V64C0 46.3 14.3 32 32 32zm0 128H480V416c0 35.3-28.7 64-64 64H96c-35.3 0-64-28.7-64-64V160zm128 80c0 8.8 7.2 16 16 16H336c8.8 0 16-7.2 16-16s-7.2-16-16-16H176c-8.8 0-16 7.2-16 16z"/></svg>',
};

export const iconBuilding: JdsBiIcons = {
  name: 'building',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 16 14" width="16" height="14" xmlns="http://www.w3.org/2000/svg"><path d="M14.5455 12.1364H16V13.5909H0V12.1364H1.45455V1.22727C1.45455 1.03439 1.53117 0.849403 1.66756 0.713013C1.80395 0.576623 1.98893 0.5 2.18182 0.5H9.45455C9.64743 0.5 9.83241 0.576623 9.96881 0.713013C10.1052 0.849403 10.1818 1.03439 10.1818 1.22727V12.1364H11.6364V4.86364H13.8182C14.0111 4.86364 14.1961 4.94026 14.3324 5.07665C14.4688 5.21304 14.5455 5.39802 14.5455 5.59091V12.1364ZM4.36364 6.31818V7.77273H7.27273V6.31818H4.36364ZM4.36364 3.40909V4.86364H7.27273V3.40909H4.36364Z" /></svg>',
};

export const iconBuildingColumns: JdsBiIcons = {
  name: 'building-columns',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 16 13" width="16" height="13" xmlns="http://www.w3.org/2000/svg"><path d="M1.33329 11.1667V3.83333H0.666626V2.5H2.66663V1.16667C2.66663 0.989856 2.73686 0.820286 2.86189 0.695262C2.98691 0.570238 3.15648 0.5 3.33329 0.5H12.6666C12.8434 0.5 13.013 0.570238 13.138 0.695262C13.2631 0.820286 13.3333 0.989856 13.3333 1.16667V2.5H15.3333V3.83333H14.6666V11.1667H15.3333V12.5H0.666626V11.1667H1.33329ZM8.66663 11.1667V6.5H7.33329V11.1667H8.66663ZM5.33329 11.1667V6.5H3.99996V11.1667H5.33329ZM12 11.1667V6.5H10.6666V11.1667H12ZM3.99996 1.83333V2.5H12V1.83333H3.99996Z" /></svg>',
};

export const iconBriefcase: JdsBiIcons = {
  name: 'briefcase',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 15" width="14" height="15" xmlns="http://www.w3.org/2000/svg"><path d="M3.66536 3.33268V1.33268C3.66536 1.15587 3.7356 0.986302 3.86063 0.861278C3.98565 0.736253 4.15522 0.666016 4.33203 0.666016H9.66537C9.84218 0.666016 10.0117 0.736253 10.1368 0.861278C10.2618 0.986302 10.332 1.15587 10.332 1.33268V3.33268H12.9987C13.1755 3.33268 13.3451 3.40292 13.4701 3.52794C13.5951 3.65297 13.6654 3.82254 13.6654 3.99935V13.3327C13.6654 13.5095 13.5951 13.6791 13.4701 13.8041C13.3451 13.9291 13.1755 13.9993 12.9987 13.9993H0.998698C0.821887 13.9993 0.652318 13.9291 0.527293 13.8041C0.402269 13.6791 0.332031 13.5095 0.332031 13.3327V3.99935C0.332031 3.82254 0.402269 3.65297 0.527293 3.52794C0.652318 3.40292 0.821887 3.33268 0.998698 3.33268H3.66536ZM10.332 8.66602V6.66602H8.9987V8.66602H4.9987V6.66602H3.66536V8.66602H1.66536V12.666H12.332V8.66602H10.332ZM4.9987 1.99935V3.33268H8.9987V1.99935H4.9987Z" /></svg>',
};

export const iconCalendar: JdsBiIcons = {
  name: 'calendar',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 14" width="14" height="14" xmlns="http://www.w3.org/2000/svg"><path d="M0.333252 6.83317H13.6666V12.8332C13.6666 13.01 13.5963 13.1796 13.4713 13.3046C13.3463 13.4296 13.1767 13.4998 12.9999 13.4998H0.999919C0.823108 13.4998 0.653538 13.4296 0.528514 13.3046C0.40349 13.1796 0.333252 13.01 0.333252 12.8332V6.83317ZM10.3333 1.49984H12.9999C13.1767 1.49984 13.3463 1.57008 13.4713 1.6951C13.5963 1.82012 13.6666 1.98969 13.6666 2.1665V5.49984H0.333252V2.1665C0.333252 1.98969 0.40349 1.82012 0.528514 1.6951C0.653538 1.57008 0.823108 1.49984 0.999919 1.49984H3.66659V0.166504H4.99992V1.49984H8.99992V0.166504H10.3333V1.49984Z" /></svg>',
};

export const iconCabinetFiling: JdsBiIcons = {
  name: 'cabinet-filing',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 12 15" width="12" height="15" xmlns="http://www.w3.org/2000/svg"><path d="M3.01938e-06 7.66634H12V13.001C12 13.3683 11.7033 13.6663 11.338 13.6663H0.662003C0.574837 13.6662 0.488559 13.6488 0.408103 13.6153C0.327647 13.5817 0.254591 13.5327 0.193109 13.4709C0.131628 13.4091 0.0829284 13.3358 0.0497939 13.2552C0.0166594 13.1745 -0.00025997 13.0882 3.01938e-06 13.001V7.66634ZM3.01938e-06 0.998341C3.01938e-06 0.631008 0.29667 0.333008 0.662003 0.333008H11.338C11.7033 0.333008 12 0.630341 12 0.998341V6.33301H3.01938e-06V0.998341ZM4 2.33301V3.66634H8V2.33301H4ZM4 9.66634V10.9997H8V9.66634H4Z" /></svg>',
};

export const iconChartSimple: JdsBiIcons = {
  name: 'chart-simple',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M160 80c0-26.5 21.5-48 48-48h32c26.5 0 48 21.5 48 48V432c0 26.5-21.5 48-48 48H208c-26.5 0-48-21.5-48-48V80zM0 272c0-26.5 21.5-48 48-48H80c26.5 0 48 21.5 48 48V432c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V272zM368 96h32c26.5 0 48 21.5 48 48V432c0 26.5-21.5 48-48 48H368c-26.5 0-48-21.5-48-48V144c0-26.5 21.5-48 48-48z"/></svg>',
};

export const iconCheck: JdsBiIcons = {
  name: 'check',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 10" xmlns="http://www.w3.org/2000/svg"><path d="M5.49999 7.879L12.394 0.984253L13.4552 2.04475L5.49999 10L0.72699 5.227L1.78749 4.1665L5.49999 7.879Z"/></svg>',
};

export const iconCheckDouble: JdsBiIcons = {
  name: 'check-double',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 18 10" xmlns="http://www.w3.org/2000/svg"><path d="M8.7015 6.82L9.7605 7.879L16.11 1.5295L17.1705 2.59L9.7605 10L4.9875 5.227L6.048 4.1665L7.64175 5.76025L8.7015 6.81925V6.82ZM8.703 4.699L12.417 0.984253L13.4745 2.04175L9.7605 5.7565L8.703 4.699ZM6.58275 8.94025L5.523 10L0.75 5.227L1.8105 4.1665L2.87025 5.22625L2.8695 5.227L6.58275 8.94025Z"/></svg>',
};

export const iconChevronDown: JdsBiIcons = {
  name: 'chevron-down',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 8" width="14" height="8" xmlns="http://www.w3.org/2000/svg"><path d="M7.54629 7.5666L13.7764 1.67509C13.9206 1.53883 14 1.35693 14 1.16297C14 0.969019 13.9206 0.78712 13.7764 0.650857L13.3177 0.216988C13.0188 -0.0653332 12.533 -0.0653332 12.2345 0.216988L7.00291 5.16423L1.76547 0.211498C1.62126 0.0752349 1.42902 -5.49495e-07 1.22403 -5.58456e-07C1.01881 -5.67426e-07 0.82657 0.0752349 0.682246 0.211498L0.223664 0.645367C0.0794544 0.781738 7.58728e-06 0.96353 7.5788e-06 1.15748C7.57032e-06 1.35144 0.0794544 1.53334 0.223664 1.6696L6.45942 7.5666C6.60408 7.70318 6.79724 7.7782 7.00257 7.77777C7.2087 7.7782 7.40174 7.70318 7.54629 7.5666Z" /></svg>',
};

export const iconChevronLeft: JdsBiIcons = {
  name: 'chevron-left',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 6 10" width="6" height="10" xmlns="http://www.w3.org/2000/svg"><path d="M5.70711 9.70711C5.31658 10.0976 4.68342 10.0976 4.29289 9.70711L0.292893 5.70711C-0.0976314 5.31658 -0.0976314 4.68342 0.292893 4.29289L4.29289 0.292894C4.68342 -0.0976313 5.31658 -0.0976314 5.70711 0.292893C6.09763 0.683417 6.09763 1.31658 5.70711 1.70711L2.41421 5L5.70711 8.29289C6.09763 8.68342 6.09763 9.31658 5.70711 9.70711Z" /></svg>',
};

export const iconChevronRight: JdsBiIcons = {
  name: 'chevron-right',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 8 14" width="8" height="14" xmlns="http://www.w3.org/2000/svg"><path d="M7.5666 6.45372L1.67509 0.223657C1.53883 0.0794465 1.35693 0 1.16297 0C0.96902 0 0.78712 0.0794465 0.650857 0.223657L0.216988 0.682352C-0.0653331 0.981244 -0.0653331 1.46703 0.216988 1.76547L5.16423 6.9971L0.211499 12.2345C0.0752355 12.3787 0 12.571 0 12.776C0 12.9812 0.0752355 13.1734 0.211499 13.3178L0.645367 13.7763C0.781738 13.9206 0.963531 14 1.15749 14C1.35144 14 1.53334 13.9206 1.6696 13.7763L7.5666 7.54059C7.70319 7.39592 7.7782 7.20277 7.77777 6.99744C7.7782 6.79131 7.70319 6.59827 7.5666 6.45372Z" /></svg>',
};

export const iconCircleCheck: JdsBiIcons = {
  name: 'circle-check',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 20 21" width="20" height="21" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M10 20.1152C15.5228 20.1152 20 15.6381 20 10.1152C20 4.59239 15.5228 0.115234 10 0.115234C4.47715 0.115234 0 4.59239 0 10.1152C0 15.6381 4.47715 20.1152 10 20.1152ZM14.6339 8.49912C15.122 8.01096 15.122 7.21951 14.6339 6.73135C14.1457 6.2432 13.3543 6.2432 12.8661 6.73135L8.75 10.8475L7.13388 9.23135C6.64573 8.7432 5.85427 8.7432 5.36612 9.23135C4.87796 9.71951 4.87796 10.511 5.36612 10.9991L7.86612 13.4991C8.35427 13.9873 9.14573 13.9873 9.63388 13.4991L14.6339 8.49912Z" /></svg>',
};

export const iconCircleDown: JdsBiIcons = {
  name: 'circle-down',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 15" width="14" height="15" xmlns="http://www.w3.org/2000/svg"><path d="M7 0.5C3.1339 0.5 0 3.6339 0 7.5C0 11.3661 3.1339 14.5 7 14.5C10.8661 14.5 14 11.3661 14 7.5C14 3.6339 10.8661 0.5 7 0.5ZM6.5051 10.7949L4.2 8.4898C3.927 8.2161 3.927 7.773 4.2 7.5C4.473 7.227 4.9168 7.227 5.1898 7.5L6.3 8.6102V4.7C6.3 4.3136 6.6136 4 7 4C7.3864 4 7.7 4.3136 7.7 4.7V8.6102L8.8102 7.5C9.0832 7.227 9.527 7.227 9.8 7.5C10.073 7.773 10.073 8.2168 9.8 8.4898L7.4949 10.7949C7.2219 11.0679 6.7781 11.0679 6.5051 10.7949Z" /></svg>',
};

export const iconCircleInfo: JdsBiIcons = {
  name: 'circle-info',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M256 512c141.4 0 256-114.6 256-256S397.4 0 256 0S0 114.6 0 256S114.6 512 256 512zM216 336h24V272H216c-13.3 0-24-10.7-24-24s10.7-24 24-24h48c13.3 0 24 10.7 24 24v88h8c13.3 0 24 10.7 24 24s-10.7 24-24 24H216c-13.3 0-24-10.7-24-24s10.7-24 24-24zm40-144c-17.7 0-32-14.3-32-32s14.3-32 32-32s32 14.3 32 32s-14.3 32-32 32z"/></svg>',
};

export const iconCirclePlus: JdsBiIcons = {
  name: 'circle-plus',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M256 512c141.4 0 256-114.6 256-256S397.4 0 256 0S0 114.6 0 256S114.6 512 256 512zM232 344V280H168c-13.3 0-24-10.7-24-24s10.7-24 24-24h64V168c0-13.3 10.7-24 24-24s24 10.7 24 24v64h64c13.3 0 24 10.7 24 24s-10.7 24-24 24H280v64c0 13.3-10.7 24-24 24s-24-10.7-24-24z"/></svg>',
};

export const iconCircleQuestion: JdsBiIcons = {
  name: 'circle-question',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 22 14" xmlns="http://www.w3.org/2000/svg"><path d="M2 8.45461e-06C1.86749 -0.00186559 1.73592 0.0226157 1.61296 0.0720295C1.48999 0.121443 1.37807 0.194804 1.2837 0.287848C1.18933 0.380893 1.11439 0.491765 1.06324 0.614023C1.0121 0.73628 0.985756 0.867483 0.985756 1.00001C0.985756 1.13253 1.0121 1.26374 1.06324 1.38599C1.11439 1.50825 1.18933 1.61912 1.2837 1.71217C1.37807 1.80521 1.48999 1.87857 1.61296 1.92799C1.73592 1.9774 1.86749 2.00188 2 2.00001H20C20.1325 2.00188 20.2641 1.9774 20.387 1.92799C20.51 1.87857 20.6219 1.80521 20.7163 1.71217C20.8107 1.61912 20.8856 1.50825 20.9368 1.38599C20.9879 1.26374 21.0142 1.13253 21.0142 1.00001C21.0142 0.867483 20.9879 0.73628 20.9368 0.614023C20.8856 0.491765 20.8107 0.380893 20.7163 0.287848C20.6219 0.194804 20.51 0.121443 20.387 0.0720295C20.2641 0.0226157 20.1325 -0.00186559 20 8.45461e-06H2ZM2 6.00001C1.86749 5.99813 1.73592 6.02262 1.61296 6.07203C1.48999 6.12144 1.37807 6.1948 1.2837 6.28785C1.18933 6.38089 1.11439 6.49177 1.06324 6.61402C1.0121 6.73628 0.985756 6.86748 0.985756 7.00001C0.985756 7.13253 1.0121 7.26374 1.06324 7.38599C1.11439 7.50825 1.18933 7.61912 1.2837 7.71217C1.37807 7.80521 1.48999 7.87857 1.61296 7.92799C1.73592 7.9774 1.86749 8.00188 2 8.00001H20C20.1325 8.00188 20.2641 7.9774 20.387 7.92799C20.51 7.87857 20.6219 7.80521 20.7163 7.71217C20.8107 7.61912 20.8856 7.50825 20.9368 7.38599C20.9879 7.26374 21.0142 7.13253 21.0142 7.00001C21.0142 6.86748 20.9879 6.73628 20.9368 6.61402C20.8856 6.49177 20.8107 6.38089 20.7163 6.28785C20.6219 6.1948 20.51 6.12144 20.387 6.07203C20.2641 6.02262 20.1325 5.99813 20 6.00001H2ZM2 12C1.86749 11.9981 1.73592 12.0226 1.61296 12.072C1.48999 12.1214 1.37807 12.1948 1.2837 12.2878C1.18933 12.3809 1.11439 12.4918 1.06324 12.614C1.0121 12.7363 0.985756 12.8675 0.985756 13C0.985756 13.1325 1.0121 13.2637 1.06324 13.386C1.11439 13.5083 1.18933 13.6191 1.2837 13.7122C1.37807 13.8052 1.48999 13.8786 1.61296 13.928C1.73592 13.9774 1.86749 14.0019 2 14H20C20.1325 14.0019 20.2641 13.9774 20.387 13.928C20.51 13.8786 20.6219 13.8052 20.7163 13.7122C20.8107 13.6191 20.8856 13.5083 20.9368 13.386C20.9879 13.2637 21.0142 13.1325 21.0142 13C21.0142 12.8675 20.9879 12.7363 20.9368 12.614C20.8856 12.4918 20.8107 12.3809 20.7163 12.2878C20.6219 12.1948 20.51 12.1214 20.387 12.072C20.2641 12.0226 20.1325 11.9981 20 12H2Z"/></svg>',
};

export const iconCircleXmark: JdsBiIcons = {
  name: 'circle-xmark',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M256 512c141.4 0 256-114.6 256-256S397.4 0 256 0S0 114.6 0 256S114.6 512 256 512zM175 175c9.4-9.4 24.6-9.4 33.9 0l47 47 47-47c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9l-47 47 47 47c9.4 9.4 9.4 24.6 0 33.9s-24.6 9.4-33.9 0l-47-47-47 47c-9.4 9.4-24.6 9.4-33.9 0s-9.4-24.6 0-33.9l47-47-47-47c-9.4-9.4-9.4-24.6 0-33.9z"/></svg>',
};

export const iconClockRotateLeft: JdsBiIcons = {
  name: 'clock-rotate-left',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 15 15" width="15" height="15" xmlns="http://www.w3.org/2000/svg"><path d="M7.00016 0.333496C10.6822 0.333496 13.6668 3.31816 13.6668 7.00016C13.6668 10.6822 10.6822 13.6668 7.00016 13.6668C3.31816 13.6668 0.333496 10.6822 0.333496 7.00016H1.66683C1.66683 9.9455 4.05483 12.3335 7.00016 12.3335C9.9455 12.3335 12.3335 9.9455 12.3335 7.00016C12.3335 4.05483 9.9455 1.66683 7.00016 1.66683C5.3575 1.66683 3.88816 2.4095 2.91016 3.57683L4.3335 5.00016H0.333496V1.00016L1.96483 2.63083C3.18683 1.22416 4.9895 0.333496 7.00016 0.333496ZM7.66683 3.66683V6.7235L9.82883 8.8855L8.8855 9.82883L6.3335 7.2755V3.66683H7.66683Z" /></svg>',
};

export const iconClockThree: JdsBiIcons = {
  name: 'clock-three',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 15" width="14" height="15" xmlns="http://www.w3.org/2000/svg"><path d="M6.99992 14.1668C3.31792 14.1668 0.333252 11.1822 0.333252 7.50016C0.333252 3.81816 3.31792 0.833496 6.99992 0.833496C10.6819 0.833496 13.6666 3.81816 13.6666 7.50016C13.6666 11.1822 10.6819 14.1668 6.99992 14.1668ZM7.66659 7.50016V4.16683H6.33325V8.8335H10.3333V7.50016H7.66659Z" /></svg>',
};

export const iconCloudArrowDown: JdsBiIcons = {
  name: 'cloud-arrow-down',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg"><path d="M7.2008 1.60025C6.77369 1.60022 6.35089 1.68569 5.95732 1.85163C5.56376 2.01757 5.2074 2.26062 4.90925 2.56645C4.6111 2.87228 4.37719 3.23471 4.22131 3.63236C4.06542 4.03002 3.99073 4.45485 4.00162 4.88183C4.0059 5.06242 3.94893 5.23915 3.83999 5.38324C3.73105 5.52734 3.57654 5.63032 3.40162 5.67543C2.83765 5.82316 2.34667 6.17099 2.02027 6.65405C1.69386 7.13711 1.55432 7.72241 1.62767 8.30078C1.70102 8.87915 1.98225 9.41109 2.41891 9.79738C2.85556 10.1837 3.41783 10.3979 4.00082 10.4002H4.80082C5.01299 10.4002 5.21647 10.4845 5.3665 10.6345C5.51653 10.7845 5.60081 10.988 5.60081 11.2002C5.60081 11.4124 5.51653 11.6159 5.3665 11.7659C5.21647 11.9159 5.01299 12.0002 4.80082 12.0002H4.00082C3.07947 12.0004 2.1863 11.6825 1.47224 11.1003C0.758177 10.518 0.267006 9.70714 0.0817224 8.80461C-0.103561 7.90208 0.0284048 6.96326 0.45532 6.14679C0.882236 5.33032 1.57792 4.68625 2.42483 4.32343C2.52571 3.3123 2.94489 2.35926 3.622 1.60156C4.2991 0.843866 5.1992 0.320603 6.19269 0.107124C7.18617 -0.106356 8.22177 0.000962348 9.15036 0.413625C10.079 0.826288 10.8526 1.523 11.36 2.40344C12.6157 2.44914 13.8035 2.98546 14.6682 3.89721C15.5329 4.80896 16.0056 6.02345 15.9847 7.27986C15.9639 8.53627 15.4512 9.73441 14.5567 10.617C13.6623 11.4995 12.4574 11.9962 11.2008 12.0002C10.9886 12.0002 10.7851 11.9159 10.6351 11.7659C10.4851 11.6159 10.4008 11.4124 10.4008 11.2002C10.4008 10.988 10.4851 10.7845 10.6351 10.6345C10.7851 10.4845 10.9886 10.4002 11.2008 10.4002C11.6317 10.3996 12.058 10.3119 12.4542 10.1425C12.8504 9.97312 13.2083 9.72545 13.5064 9.41436C13.8046 9.10327 14.0368 8.73517 14.1892 8.33214C14.3416 7.92911 14.4111 7.49945 14.3934 7.06892C14.3757 6.63839 14.2713 6.21587 14.0863 5.82669C13.9014 5.43752 13.6397 5.0897 13.3171 4.8041C12.9944 4.51851 12.6174 4.30102 12.2087 4.16467C11.7999 4.02832 11.3679 3.97593 10.9384 4.01064C10.7717 4.02419 10.605 3.98518 10.4616 3.89908C10.3183 3.81299 10.2055 3.68413 10.1392 3.53064C9.89123 2.95723 9.4809 2.46891 8.95876 2.12589C8.43663 1.78287 7.82553 1.60015 7.2008 1.60025ZM8.0008 6.40022C8.21297 6.40022 8.41645 6.48451 8.56648 6.63454C8.71651 6.78456 8.80079 6.98805 8.80079 7.20022V13.269L9.03519 13.0346C9.18607 12.8889 9.38815 12.8082 9.59791 12.81C9.80767 12.8119 10.0083 12.896 10.1566 13.0443C10.305 13.1927 10.3891 13.3933 10.3909 13.6031C10.3927 13.8128 10.3121 14.0149 10.1664 14.1658L8.5664 15.7658C8.41637 15.9157 8.21293 16 8.0008 16C7.78867 16 7.58522 15.9157 7.4352 15.7658L5.83521 14.1658C5.7588 14.092 5.69786 14.0037 5.65593 13.9061C5.614 13.8085 5.59193 13.7035 5.59101 13.5973C5.59009 13.4911 5.61033 13.3857 5.65055 13.2874C5.69078 13.1891 5.75018 13.0998 5.82529 13.0247C5.90041 12.9496 5.98973 12.8902 6.08805 12.8499C6.18636 12.8097 6.29171 12.7895 6.39793 12.7904C6.50415 12.7913 6.60913 12.8134 6.70673 12.8553C6.80433 12.8972 6.89261 12.9582 6.9664 13.0346L7.2008 13.269V7.20022C7.2008 6.98805 7.28509 6.78456 7.43512 6.63454C7.58514 6.48451 7.78863 6.40022 8.0008 6.40022Z"/></svg>',
};

export const iconComments: JdsBiIcons = {
  name: 'comments',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 640 512" xmlns="http://www.w3.org/2000/svg"><path d="M208 352c114.9 0 208-78.8 208-176S322.9 0 208 0S0 78.8 0 176c0 38.6 14.7 74.3 39.6 103.4c-3.5 9.4-8.7 17.7-14.2 24.7c-4.8 6.2-9.7 11-13.3 14.3c-1.8 1.6-3.3 2.9-4.3 3.7c-.5 .4-.9 .7-1.1 .8l-.2 .2 0 0 0 0C1 327.2-1.4 334.4 .8 340.9S9.1 352 16 352c21.8 0 43.8-5.6 62.1-12.5c9.2-3.5 17.8-7.4 25.3-11.4C134.1 343.3 169.8 352 208 352zM448 176c0 112.3-99.1 196.9-216.5 207C255.8 457.4 336.4 512 432 512c38.2 0 73.9-8.7 104.7-23.9c7.5 4 16 7.9 25.2 11.4c18.3 6.9 40.3 12.5 62.1 12.5c6.9 0 13.1-4.5 15.2-11.1c2.1-6.6-.2-13.8-5.8-17.9l0 0 0 0-.2-.2c-.2-.2-.6-.4-1.1-.8c-1-.8-2.5-2-4.3-3.7c-3.6-3.3-8.5-8.1-13.3-14.3c-5.5-7-10.7-15.4-14.2-24.7c24.9-29 39.6-64.7 39.6-103.4c0-92.8-84.9-168.9-192.6-175.5c.4 5.1 .6 10.3 .6 15.5z"/></svg>',
};

export const iconDatabase: JdsBiIcons = {
  name: 'database',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 80v48c0 44.2-100.3 80-224 80S0 172.2 0 128V80C0 35.8 100.3 0 224 0S448 35.8 448 80zM393.2 214.7c20.8-7.4 39.9-16.9 54.8-28.6V288c0 44.2-100.3 80-224 80S0 332.2 0 288V186.1c14.9 11.8 34 21.2 54.8 28.6C99.7 230.7 159.5 240 224 240s124.3-9.3 169.2-25.3zM0 346.1c14.9 11.8 34 21.2 54.8 28.6C99.7 390.7 159.5 400 224 400s124.3-9.3 169.2-25.3c20.8-7.4 39.9-16.9 54.8-28.6V432c0 44.2-100.3 80-224 80S0 476.2 0 432V346.1z"/></svg>',
};

export const iconDownload: JdsBiIcons = {
  name: 'download',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 512 512" width="16" height="16" xmlns="http://www.w3.org/2000/svg"><path d="M288 32c0-17.7-14.3-32-32-32s-32 14.3-32 32V274.7l-73.4-73.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l128 128c12.5 12.5 32.8 12.5 45.3 0l128-128c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L288 274.7V32zM64 352c-35.3 0-64 28.7-64 64v32c0 35.3 28.7 64 64 64H448c35.3 0 64-28.7 64-64V416c0-35.3-28.7-64-64-64H346.5l-45.3 45.3c-25 25-65.5 25-90.5 0L165.5 352H64zM432 456c-13.3 0-24-10.7-24-24s10.7-24 24-24s24 10.7 24 24s-10.7 24-24 24z"/></svg>',
};

export const iconEllipsis: JdsBiIcons = {
  name: 'ellipsis',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M120 256c0 30.9-25.1 56-56 56s-56-25.1-56-56s25.1-56 56-56s56 25.1 56 56zm160 0c0 30.9-25.1 56-56 56s-56-25.1-56-56s25.1-56 56-56s56 25.1 56 56zm104 56c-30.9 0-56-25.1-56-56s25.1-56 56-56s56 25.1 56 56s-25.1 56-56 56z"/></svg>',
};

export const iconEnvelope: JdsBiIcons = {
  name: 'envelope',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 13" width="14" height="13" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M0 4.42946V9.92389C0 10.7691 0.536235 11.512 1.36514 11.6773C2.5159 11.9068 4.39418 12.1667 7 12.1667C9.60582 12.1667 11.4841 11.9068 12.6349 11.6773C13.4638 11.512 14 10.7691 14 9.92389V4.42941L8.72754 7.1915L8.70323 7.20424L8.67827 7.21562C7.61036 7.70241 6.38953 7.70241 5.32162 7.21562L5.29666 7.20424L5.27235 7.1915L0 4.42946ZM0.073714 2.21026L6.17376 5.4059C6.70167 5.63898 7.29821 5.63898 7.82612 5.40591L13.9263 2.21021C13.7527 1.60145 13.2833 1.11864 12.6349 0.989322C11.4841 0.759832 9.60582 0.5 7 0.5C4.39418 0.5 2.5159 0.759832 1.36514 0.989321C0.716669 1.11864 0.247321 1.60148 0.073714 2.21026Z" /></svg>',
};

export const iconEye: JdsBiIcons = {
  name: 'eye',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 10" width="14" height="10" xmlns="http://www.w3.org/2000/svg"><path d="M7.00069 6.53335C8.03161 6.53335 8.86734 5.69763 8.86734 4.6667C8.86734 3.63578 8.03161 2.80005 7.00069 2.80005C5.96976 2.80005 5.13403 3.63578 5.13403 4.6667C5.13403 5.69763 5.96976 6.53335 7.00069 6.53335Z" /><path d="M13.85 4.15914C13.0782 2.96565 12.077 1.95182 10.9546 1.22703C9.71301 0.424372 8.34219 0 6.99062 0C5.75046 0 4.53101 0.354373 3.3661 1.0532C2.17815 1.76574 1.10191 2.80669 0.167122 4.14689C0.0615935 4.29835 0.0034747 4.47777 0.000150975 4.66234C-0.00317275 4.84691 0.0484487 5.0283 0.148456 5.18346C0.918742 6.38891 1.91011 7.4042 3.01494 8.11907C4.25888 8.92494 5.59763 9.33327 6.99062 9.33327C8.35298 9.33327 9.72672 8.9124 10.9631 8.11644C12.0848 7.39399 13.0841 6.37637 13.8529 5.17296C13.9495 5.02141 14.0005 4.84533 14 4.66562C13.9995 4.48592 13.9474 4.31014 13.85 4.15914ZM7.00053 7.46661C6.44675 7.46661 5.9054 7.3024 5.44495 6.99473C4.98449 6.68707 4.62561 6.24977 4.41369 5.73814C4.20176 5.22651 4.14632 4.66353 4.25435 4.12038C4.36239 3.57724 4.62906 3.07833 5.02065 2.68675C5.41223 2.29516 5.91114 2.02849 6.45428 1.92045C6.99743 1.81242 7.56041 1.86787 8.07204 2.07979C8.58367 2.29171 9.02097 2.65059 9.32863 3.11105C9.6363 3.5715 9.80051 4.11285 9.80051 4.66663C9.79966 5.40897 9.50439 6.12067 8.97948 6.64558C8.45457 7.1705 7.74287 7.46576 7.00053 7.46661Z" /></svg>',
};

export const iconEyeSlash: JdsBiIcons = {
  name: 'eye-slash',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 12" width="14" height="12" xmlns="http://www.w3.org/2000/svg"><path d="M12.1322 11.1905C12.0709 11.1906 12.0102 11.1785 11.9536 11.1551C11.897 11.1316 11.8456 11.0971 11.8023 11.0537L1.53666 0.788017C1.45284 0.699796 1.40681 0.582325 1.40836 0.460648C1.40992 0.338971 1.45895 0.222716 1.545 0.13667C1.63104 0.0506245 1.7473 0.00159614 1.86897 3.82869e-05C1.99065 -0.00151956 2.10812 0.0445165 2.19634 0.128331L12.462 10.394C12.5272 10.4593 12.5716 10.5424 12.5896 10.6329C12.6076 10.7234 12.5984 10.8171 12.5631 10.9024C12.5278 10.9876 12.468 11.0605 12.3913 11.1118C12.3146 11.163 12.2244 11.1904 12.1322 11.1905Z" /><path d="M6.76629 7.33639L5.25589 5.82599C5.24724 5.81741 5.23611 5.81176 5.22408 5.80982C5.21204 5.80789 5.19971 5.80977 5.1888 5.81521C5.17789 5.82065 5.16896 5.82937 5.16326 5.84014C5.15756 5.85091 5.15538 5.8632 5.15703 5.87528C5.218 6.26713 5.402 6.62945 5.68241 6.90987C5.96283 7.19029 6.32515 7.37428 6.717 7.43525C6.72908 7.4369 6.74137 7.43472 6.75214 7.42902C6.76291 7.42332 6.77163 7.41439 6.77707 7.40348C6.78251 7.39258 6.78439 7.38024 6.78246 7.3682C6.78053 7.35617 6.77487 7.34504 6.76629 7.33639Z" /><path d="M7.23251 3.84564L8.74524 5.35779C8.75387 5.36649 8.76503 5.37225 8.77712 5.37425C8.78922 5.37626 8.80164 5.3744 8.81261 5.36894C8.82359 5.36348 8.83257 5.35471 8.83828 5.34386C8.84398 5.33301 8.84612 5.32064 8.8444 5.3085C8.78358 4.91611 8.59945 4.55327 8.31868 4.2725C8.03791 3.99172 7.67506 3.8076 7.28268 3.74678C7.27052 3.7449 7.25809 3.74691 7.24715 3.75253C7.23621 3.75814 7.22733 3.76707 7.22177 3.77803C7.2162 3.78899 7.21425 3.80144 7.21618 3.81358C7.21811 3.82572 7.22383 3.83694 7.23251 3.84564Z" /><path d="M13.8528 6.0973C13.9493 5.94576 14.0004 5.76969 13.9999 5.59001C13.9993 5.41032 13.9473 5.23455 13.8499 5.08357C13.0782 3.89018 12.077 2.87645 10.9548 2.15173C9.71151 1.34914 8.34081 0.924805 6.98994 0.924805C6.27779 0.925783 5.57048 1.04189 4.89539 1.26865C4.8765 1.27493 4.85952 1.28595 4.84609 1.30065C4.83266 1.31535 4.82321 1.33324 4.81865 1.35262C4.81409 1.372 4.81457 1.39223 4.82004 1.41138C4.82551 1.43052 4.83578 1.44795 4.84989 1.462L6.22759 2.8397C6.24191 2.85404 6.25971 2.8644 6.27924 2.86977C6.29877 2.87514 6.31937 2.87533 6.339 2.87032C6.80599 2.75652 7.29441 2.76486 7.75724 2.89454C8.22007 3.02422 8.64172 3.27087 8.98159 3.61074C9.32146 3.95061 9.56811 4.37226 9.69779 4.83509C9.82747 5.29792 9.83581 5.78634 9.72201 6.25333C9.71705 6.27291 9.71727 6.29345 9.72264 6.31293C9.728 6.33241 9.73834 6.35016 9.75263 6.36444L11.7343 8.34758C11.7549 8.36824 11.7825 8.38041 11.8117 8.38171C11.8408 8.383 11.8694 8.37333 11.8918 8.35458C12.6546 7.7044 13.3156 6.94351 13.8528 6.0973Z" /><path d="M6.99932 8.39067C6.57549 8.39069 6.1572 8.2945 5.77596 8.10933C5.39473 7.92416 5.06051 7.65485 4.7985 7.32171C4.5365 6.98858 4.35354 6.6003 4.26344 6.18617C4.17333 5.77203 4.17842 5.34285 4.27833 4.93096C4.28329 4.91138 4.28307 4.89084 4.2777 4.87136C4.27233 4.85188 4.262 4.83413 4.24771 4.81985L2.2984 2.86966C2.27773 2.84897 2.25004 2.8368 2.22082 2.83555C2.1916 2.83431 2.16298 2.84409 2.14062 2.86296C1.42932 3.46986 0.769924 4.20828 0.167107 5.07124C0.061588 5.22269 0.00347438 5.40209 0.000150961 5.58665C-0.00317246 5.7712 0.0484444 5.95258 0.148442 6.10773C0.918659 7.31307 1.90965 8.32826 3.01466 9.04307C4.25967 9.84886 5.59712 10.2572 6.98999 10.2572C7.70932 10.2552 8.42399 10.1416 9.10845 9.92031C9.12751 9.91422 9.14469 9.90333 9.15833 9.88869C9.17196 9.87404 9.1816 9.85613 9.18632 9.83668C9.19104 9.81723 9.19067 9.79689 9.18525 9.77763C9.17984 9.75836 9.16956 9.74081 9.1554 9.72667L7.77099 8.34255C7.75671 8.32826 7.73896 8.31793 7.71948 8.31256C7.7 8.30719 7.67947 8.30697 7.65988 8.31193C7.4436 8.36433 7.22185 8.39077 6.99932 8.39067Z" /></svg>',
};

export const iconFileTimer: JdsBiIcons = {
  name: 'file-timer',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 12 15" width="12" height="15" xmlns="http://www.w3.org/2000/svg"><path d="M8.66667 0.333008L12 3.66567V13.0057C12 13.3703 11.7033 13.6663 11.338 13.6663H0.662C0.296667 13.6663 0 13.363 0 13.005V0.994341C0 0.629008 0.296667 0.333008 0.662 0.333008H8.66667ZM6.66667 4.99967H5.33333V8.99967H8.66667V7.66634H6.66667V4.99967Z" /></svg>',
};

export const iconGlobe: JdsBiIcons = {
  name: 'globe',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M352 256c0 22.2-1.2 43.6-3.3 64H163.3c-2.2-20.4-3.3-41.8-3.3-64s1.2-43.6 3.3-64H348.7c2.2 20.4 3.3 41.8 3.3 64zm28.8-64H503.9c5.3 20.5 8.1 41.9 8.1 64s-2.8 43.5-8.1 64H380.8c2.1-20.6 3.2-42 3.2-64s-1.1-43.4-3.2-64zm112.6-32H376.7c-10-63.9-29.8-117.4-55.3-151.6c78.3 20.7 142 77.5 171.9 151.6zm-149.1 0H167.7c6.1-36.4 15.5-68.6 27-94.7c10.5-23.6 22.2-40.7 33.5-51.5C239.4 3.2 248.7 0 256 0s16.6 3.2 27.8 13.8c11.3 10.8 23 27.9 33.5 51.5c11.6 26 21 58.2 27 94.7zm-209 0H18.6C48.6 85.9 112.2 29.1 190.6 8.4C165.1 42.6 145.3 96.1 135.3 160zM8.1 192H131.2c-2.1 20.6-3.2 42-3.2 64s1.1 43.4 3.2 64H8.1C2.8 299.5 0 278.1 0 256s2.8-43.5 8.1-64zM194.7 446.6c-11.6-26-20.9-58.2-27-94.6H344.3c-6.1 36.4-15.5 68.6-27 94.6c-10.5 23.6-22.2 40.7-33.5 51.5C272.6 508.8 263.3 512 256 512s-16.6-3.2-27.8-13.8c-11.3-10.8-23-27.9-33.5-51.5zM135.3 352c10 63.9 29.8 117.4 55.3 151.6C112.2 482.9 48.6 426.1 18.6 352H135.3zm358.1 0c-30 74.1-93.6 130.9-171.9 151.6c25.5-34.2 45.2-87.7 55.3-151.6H493.4z"/></svg>',
};

export const iconLocationDot: JdsBiIcons = {
  name: 'location-dot',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M215.7 499.2C267 435 384 279.4 384 192C384 86 298 0 192 0S0 86 0 192c0 87.4 117 243 168.3 307.2c12.3 15.3 35.1 15.3 47.4 0zM192 256c-35.3 0-64-28.7-64-64s28.7-64 64-64s64 28.7 64 64s-28.7 64-64 64z"/></svg>',
};

export const iconMagnifyingGlass: JdsBiIcons = {
  name: 'magnifying-glass',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 14" width="14" height="14" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M9.47653 10.8907C8.49572 11.5892 7.29583 12 6 12C2.68629 12 0 9.31371 0 6C0 2.68629 2.68629 0 6 0C9.31371 0 12 2.68629 12 6C12 7.29583 11.5892 8.49572 10.8907 9.47653L13.7071 12.2929C14.0976 12.6834 14.0976 13.3166 13.7071 13.7071C13.3166 14.0976 12.6834 14.0976 12.2929 13.7071L9.47653 10.8907ZM10 6C10 8.20914 8.20914 10 6 10C3.79086 10 2 8.20914 2 6C2 3.79086 3.79086 2 6 2C8.20914 2 10 3.79086 10 6Z" /></svg>',
};

export const iconMapLocation: JdsBiIcons = {
  name: 'map-location',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 15" width="14" height="15" xmlns="http://www.w3.org/2000/svg"><path d="M10.3 7.46666C10.8647 6.90241 11.2752 6.20264 11.4921 5.43434C11.709 4.66604 11.725 3.85493 11.5387 3.07866L13.202 2.36533C13.2527 2.34358 13.308 2.33477 13.363 2.33969C13.418 2.3446 13.4709 2.36309 13.5169 2.39349C13.563 2.42389 13.6008 2.46525 13.6269 2.51386C13.6531 2.56247 13.6667 2.61681 13.6667 2.67199V12.1667L8.99999 14.1667L4.99999 12.1667L0.797995 13.9673C0.747271 13.9891 0.691941 13.9979 0.636972 13.993C0.582003 13.988 0.529114 13.9696 0.483053 13.9392C0.436992 13.9088 0.399199 13.8674 0.373066 13.8188C0.346934 13.7702 0.333279 13.7158 0.333328 13.6607V4.16666L2.41933 3.27266C2.27256 4.02305 2.3126 4.79801 2.53593 5.52928C2.75926 6.26054 3.15903 6.92565 3.69999 7.46599L6.99999 10.7667L10.3 7.46666ZM9.35733 6.52399L6.99999 8.87999L4.64266 6.52333C4.17657 6.05712 3.85919 5.46317 3.73065 4.81659C3.6021 4.17001 3.66816 3.49984 3.92048 2.8908C4.1728 2.28177 4.60004 1.76122 5.14819 1.39499C5.69633 1.02876 6.34076 0.833282 6.99999 0.833282C7.65923 0.833282 8.30366 1.02876 8.8518 1.39499C9.39995 1.76122 9.82719 2.28177 10.0795 2.8908C10.3318 3.49984 10.3979 4.17001 10.2693 4.81659C10.1408 5.46317 9.82341 6.05712 9.35733 6.52333V6.52399Z" /></svg>',
};

export const iconPencil: JdsBiIcons = {
  name: 'pencil',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 14" width="14" height="14" xmlns="http://www.w3.org/2000/svg"><path d="M13.2143 12.4081C13.6476 12.4081 14 12.7651 14 13.204C14 13.6438 13.6476 14 13.2143 14H8.77309C8.33979 14 7.98736 13.6438 7.98736 13.204C7.98736 12.7651 8.33979 12.4081 8.77309 12.4081H13.2143ZM10.1343 0.543716L11.2816 1.45505C11.752 1.82293 12.0656 2.30787 12.1729 2.81788C12.2967 3.3789 12.1647 3.92988 11.7933 4.40645L4.95942 13.2439C4.64579 13.6452 4.1836 13.871 3.68839 13.8794L0.964752 13.9128C0.81619 13.9128 0.692388 13.8125 0.659374 13.6703L0.0403655 10.9865C-0.0669294 10.4932 0.0403655 9.98317 0.353997 9.59021L5.19877 3.31954C5.28131 3.2192 5.42987 3.20332 5.52891 3.27773L7.56751 4.89975C7.69957 5.00844 7.88114 5.06696 8.07097 5.04188C8.47539 4.99172 8.74775 4.62384 8.70649 4.23087C8.68173 4.03021 8.58268 3.86299 8.45063 3.73758C8.40936 3.70414 6.4698 2.14901 6.4698 2.14901C6.346 2.04868 6.32124 1.86474 6.42028 1.74016L7.18785 0.744378C7.89765 -0.16696 9.13566 -0.250569 10.1343 0.543716Z" /></svg>',
};

export const iconPhone: JdsBiIcons = {
  name: 'phone',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 12 13" width="12" height="13" xmlns="http://www.w3.org/2000/svg"><path d="M11.9737 9.79778C11.9398 9.69552 11.7239 9.54486 11.3261 9.34617C11.2183 9.28354 11.0647 9.19844 10.8661 9.09047C10.6672 8.9825 10.4867 8.88301 10.3249 8.79208C10.1627 8.70119 10.0108 8.61312 9.86886 8.52802C9.84617 8.51097 9.77516 8.46133 9.65584 8.37877C9.53641 8.29644 9.43569 8.23533 9.35316 8.19548C9.2708 8.15587 9.18978 8.13593 9.11023 8.13593C8.99662 8.13593 8.85471 8.21694 8.68432 8.37877C8.51393 8.5408 8.35763 8.7168 8.21566 8.90731C8.07366 9.09772 7.92306 9.27372 7.76414 9.43566C7.60497 9.59766 7.4742 9.67859 7.37205 9.67859C7.32076 9.67859 7.25682 9.66429 7.1802 9.63608C7.1036 9.6077 7.04533 9.58337 7.00533 9.56376C6.96569 9.54373 6.89766 9.50408 6.801 9.44423C6.70417 9.38456 6.65031 9.35187 6.63897 9.34617C5.86061 8.91426 5.19306 8.41993 4.63619 7.8633C4.0795 7.30635 3.58511 6.63885 3.15332 5.8604C3.14765 5.84903 3.1149 5.79503 3.05529 5.69849C2.99559 5.60186 2.9558 5.53377 2.93592 5.49389C2.91604 5.45416 2.89189 5.39589 2.86353 5.31921C2.83517 5.24252 2.82093 5.17864 2.82093 5.12744C2.82093 5.02524 2.90192 4.89449 3.06386 4.73538C3.22577 4.57637 3.40195 4.42574 3.59222 4.2838C3.78264 4.14186 3.95864 3.98556 4.12061 3.81517C4.28252 3.64469 4.36347 3.50272 4.36347 3.38911C4.36347 3.30962 4.34359 3.22857 4.30386 3.14622C4.2641 3.06368 4.20303 2.96296 4.12061 2.84359C4.03816 2.72427 3.98846 2.65332 3.97138 2.63048C3.88625 2.48854 3.79828 2.33657 3.70726 2.17463C3.61625 2.01272 3.5169 1.83224 3.4089 1.63341C3.30099 1.43466 3.21583 1.2812 3.15326 1.17326C2.95451 0.775613 2.80398 0.559612 2.70168 0.525642C2.66189 0.508597 2.60219 0.5 2.52272 0.5C2.36923 0.5 2.16899 0.528358 1.92186 0.585254C1.67463 0.64206 1.48009 0.701642 1.33803 0.764239C1.05394 0.883494 0.752838 1.23006 0.434628 1.80382C0.144866 2.3378 0 2.8663 0 3.38896C0 3.54225 0.00994032 3.69138 0.029821 3.8364C0.0497016 3.98126 0.0852241 4.14464 0.136418 4.32649C0.187523 4.50828 0.228747 4.64332 0.259911 4.73126C0.291105 4.81926 0.349344 4.97691 0.434598 5.20425C0.519733 5.43153 0.570927 5.57067 0.587972 5.6218C0.786808 6.17864 1.0226 6.67575 1.29529 7.11327C1.74394 7.8405 2.35621 8.59205 3.13174 9.36763C3.90729 10.1432 4.6587 10.7554 5.38598 11.2042C5.82345 11.4769 6.32073 11.7127 6.87748 11.9116C6.92864 11.9286 7.06778 11.9797 7.29497 12.0651C7.52226 12.1503 7.67996 12.2085 7.76796 12.2398C7.85599 12.2711 7.99106 12.3123 8.17271 12.3635C8.35474 12.4147 8.51796 12.4502 8.66283 12.4703C8.80778 12.4899 8.95695 12.5 9.11026 12.5C9.63289 12.5 10.1614 12.355 10.6955 12.0653C11.2692 11.7472 11.6157 11.4461 11.735 11.1618C11.7977 11.0198 11.8572 10.8253 11.914 10.578C11.971 10.3309 11.9993 10.1307 11.9993 9.97725C11.9994 9.89746 11.9909 9.8379 11.9737 9.79778Z" /></svg>',
};

export const iconPlus: JdsBiIcons = {
  name: 'plus',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 15" width="14" height="15" xmlns="http://www.w3.org/2000/svg"><path d="M6.8215 0.51225L7 0.5C7.31717 0.500013 7.6236 0.614875 7.86263 0.823342C8.10166 1.03181 8.25712 1.31978 8.30025 1.634L8.3125 1.8125V6.18575L12.6875 6.1875C13.0047 6.18751 13.3111 6.30237 13.5501 6.51084C13.7892 6.71931 13.9446 7.00728 13.9878 7.3215L14 7.5C14 7.81717 13.8851 8.1236 13.6767 8.36263C13.4682 8.60166 13.1802 8.75712 12.866 8.80025L12.6875 8.8125L8.3125 8.81075V13.1875C8.31249 13.5047 8.19763 13.8111 7.98916 14.0501C7.78069 14.2892 7.49272 14.4446 7.1785 14.4878L7 14.5C6.68283 14.5 6.3764 14.3851 6.13737 14.1767C5.89834 13.9682 5.74288 13.6802 5.69975 13.366L5.6875 13.1875V8.81075L1.3125 8.8125C0.995334 8.81249 0.688901 8.69763 0.449871 8.48916C0.210841 8.28069 0.0553845 7.99272 0.0122499 7.6785L0 7.5C1.33751e-05 7.18283 0.114875 6.8764 0.323342 6.63737C0.53181 6.39834 0.819781 6.24288 1.134 6.19975L1.3125 6.1875L5.6875 6.18575V1.8125C5.68751 1.49533 5.80237 1.1889 6.01084 0.949871C6.21931 0.710841 6.50728 0.555384 6.8215 0.51225Z" /></svg>',
};

export const iconStar: JdsBiIcons = {
  name: 'star',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 576 512" width="16" height="16" xmlns="http://www.w3.org/2000/svg"><path d="M316.9 18C311.6 7 300.4 0 288.1 0s-23.4 7-28.8 18L195 150.3 51.4 171.5c-12 1.8-22 10.2-25.7 21.7s-.7 24.2 7.9 32.7L137.8 329 113.2 474.7c-2 12 3 24.2 12.9 31.3s23 8 33.8 2.3l128.3-68.5 128.3 68.5c10.8 5.7 23.9 4.9 33.8-2.3s14.9-19.3 12.9-31.3L438.5 329 542.7 225.9c8.6-8.5 11.7-21.2 7.9-32.7s-13.7-19.9-25.7-21.7L381.2 150.3 316.9 18z" /></svg>',
};

export const iconTrash: JdsBiIcons = {
  name: 'trash',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 13 14" width="13" height="14" xmlns="http://www.w3.org/2000/svg"><path d="M11.1573 4.68799C11.2969 4.68799 11.4235 4.74889 11.5236 4.85179C11.6169 4.96169 11.6639 5.09819 11.6502 5.24239C11.6502 5.28999 11.2772 10.0079 11.0641 11.9938C10.9306 13.2125 10.145 13.9524 8.96657 13.9727C8.06045 13.993 7.17474 14 6.30266 14C5.37679 14 4.47134 13.993 3.59244 13.9727C2.45349 13.9454 1.66718 13.1922 1.54055 11.9938C1.32134 10.0009 0.955076 5.28999 0.948268 5.24239C0.94146 5.09819 0.987754 4.96169 1.0817 4.85179C1.17429 4.74889 1.30772 4.68799 1.44797 4.68799H11.1573ZM7.74531 0C8.36415 0 8.91694 0.431896 9.07693 1.04789L9.1913 1.55888C9.28389 1.97538 9.64471 2.27008 10.06 2.27008H12.101C12.3733 2.27008 12.6 2.49618 12.6 2.78387V3.04987C12.6 3.33057 12.3733 3.56366 12.101 3.56366H0.499697C0.226702 3.56366 0 3.33057 0 3.04987V2.78387C0 2.49618 0.226702 2.27008 0.499697 2.27008H2.5407C2.9553 2.27008 3.31611 1.97538 3.40938 1.55958L3.51626 1.08219C3.68238 0.431896 4.22905 0 4.85469 0H7.74531Z" /></svg>',
};

export const iconUserLock: JdsBiIcons = {
  name: 'user-lock',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 640 512" xmlns="http://www.w3.org/2000/svg"><path d="M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0S96 57.3 96 128s57.3 128 128 128zm-45.7 48C79.8 304 0 383.8 0 482.3C0 498.7 13.3 512 29.7 512H392.6c-5.4-9.4-8.6-20.3-8.6-32V352c0-2.1 .1-4.2 .3-6.3c-31-26-71-41.7-114.6-41.7H178.3zM528 240c17.7 0 32 14.3 32 32v48H496V272c0-17.7 14.3-32 32-32zm-80 32v48c-17.7 0-32 14.3-32 32V480c0 17.7 14.3 32 32 32H608c17.7 0 32-14.3 32-32V352c0-17.7-14.3-32-32-32V272c0-44.2-35.8-80-80-80s-80 35.8-80 80z"/></svg>',
};

export const iconWhatsapp: JdsBiIcons = {
  name: 'whatsapp',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M380.9 97.1C339 55.1 283.2 32 223.9 32c-122.4 0-222 99.6-222 222 0 39.1 10.2 77.3 29.6 111L0 480l117.7-30.9c32.4 17.7 68.9 27 106.1 27h.1c122.3 0 224.1-99.6 224.1-222 0-59.3-25.2-115-67.1-157zm-157 341.6c-33.2 0-65.7-8.9-94-25.7l-6.7-4-69.8 18.3L72 359.2l-4.4-7c-18.5-29.4-28.2-63.3-28.2-98.2 0-101.7 82.8-184.5 184.6-184.5 49.3 0 95.6 19.2 130.4 54.1 34.8 34.9 56.2 81.2 56.1 130.5 0 101.8-84.9 184.6-186.6 184.6zm101.2-138.2c-5.5-2.8-32.8-16.2-37.9-18-5.1-1.9-8.8-2.8-12.5 2.8-3.7 5.6-14.3 18-17.6 21.8-3.2 3.7-6.5 4.2-12 1.4-32.6-16.3-54-29.1-75.5-66-5.7-9.8 5.7-9.1 16.3-30.3 1.8-3.7.9-6.9-.5-9.7-1.4-2.8-12.5-30.1-17.1-41.2-4.5-10.8-9.1-9.3-12.5-9.5-3.2-.2-6.9-.2-10.6-.2-3.7 0-9.7 1.4-14.8 6.9-5.1 5.6-19.4 19-19.4 46.3 0 27.3 19.9 53.7 22.6 57.4 2.8 3.7 39.1 59.7 94.8 83.8 35.2 15.2 49 16.5 66.6 13.9 10.7-1.6 32.8-13.4 37.4-26.4 4.6-13 4.6-24.1 3.2-26.4-1.3-2.5-5-3.9-10.5-6.6z"/></svg>',
};

export const iconXmark: JdsBiIcons = {
  name: 'xmark',
  data: '<svg class="icon baseline" fill="currentColor" viewBox="0 0 14 14" width="14" height="14" xmlns="http://www.w3.org/2000/svg"><path d="M13.364 2.45431L8.81829 7L13.364 11.5457C13.6051 11.7868 13.7406 12.1138 13.7406 12.4548C13.7406 12.7958 13.6051 13.1228 13.364 13.364C13.1229 13.6051 12.7958 13.7405 12.4548 13.7405C12.1138 13.7405 11.7868 13.6051 11.5457 13.364L7.00002 8.81827L2.45433 13.364C2.21321 13.6051 1.88619 13.7405 1.54519 13.7405C1.2042 13.7405 0.877174 13.6051 0.636056 13.364C0.394938 13.1228 0.259479 12.7958 0.259479 12.4548C0.259479 12.1138 0.394938 11.7868 0.636056 11.5457L5.18174 7L0.636056 2.45431C0.394938 2.2132 0.259479 1.88617 0.259479 1.54518C0.259479 1.20418 0.394938 0.877157 0.636056 0.636038C0.877174 0.394921 1.2042 0.259462 1.54519 0.259462C1.88619 0.259461 2.21321 0.39492 2.45433 0.636039L7.00002 5.18173L11.5457 0.636039C11.7868 0.394921 12.1138 0.259461 12.4548 0.259461C12.7958 0.259461 13.1229 0.39492 13.364 0.636038C13.6051 0.877156 13.7406 1.20418 13.7406 1.54518C13.7406 1.88617 13.6051 2.2132 13.364 2.45431Z" /></svg>',
};
